GetTopPosts
GET
/analytics/v1/top/postsQuery Parameters
limit?limit
The limit query parameter.
Format
int32range.start?start
The range.start query parameter.
range.end?end
The range.end query parameter.
feed_id?feed_id
The feed_id query parameter.
Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/analytics.v1.TopPostsResponse",
"$ref-value": {
"type": "object",
"properties": {
"posts": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.PostStats",
"$ref-value": {
"type": "object",
"properties": {
"post_id": {
"type": "string",
"examples": [
"Mn0bVc9xZ8"
],
"title": "post_id"
},
"feed_id": {
"type": "string",
"examples": [
"F4edRI23XL"
],
"title": "feed_id"
},
"content_type": {
"allOf": [
{
"$ref": "#/components/schemas/analyticscommon.v1.MediaType",
"$ref-value": {
"type": "string",
"title": "MediaType",
"enum": [
"MEDIA_TYPE_UNSPECIFIED",
"MEDIA_TYPE_IMAGE",
"MEDIA_TYPE_VIDEO"
]
}
}
],
"title": "content_type"
},
"total_views": {
"type": "string",
"examples": [
"1250"
],
"title": "total_views",
"format": "int64"
},
"unique_viewers": {
"type": "string",
"examples": [
"1250"
],
"title": "unique_viewers",
"format": "int64"
},
"avg_watch_time_ms": {
"type": "number",
"examples": [
"0.85"
],
"title": "avg_watch_time_ms",
"format": "double"
},
"total_watch_time_ms": {
"type": "string",
"examples": [
"1250"
],
"title": "total_watch_time_ms",
"format": "int64"
},
"starts": {
"type": "string",
"examples": [
"1250"
],
"title": "starts",
"format": "int64"
},
"completions": {
"type": "string",
"examples": [
"1250"
],
"title": "completions",
"format": "int64"
},
"completion_rate": {
"type": "number",
"examples": [
"0.85"
],
"title": "completion_rate",
"format": "double"
},
"views_by_page": {
"type": "object",
"title": "views_by_page",
"additionalProperties": {
"type": "string",
"title": "value",
"format": "int64"
}
}
},
"title": "PostStats",
"additionalProperties": false
}
},
"title": "posts"
}
},
"title": "TopPostsResponse",
"additionalProperties": false
}
}curl -X GET "https://api.rixl.com/analytics/v1/top/posts"Success
application/json
{
"$ref": "#/components/schemas/analytics.v1.TopPostsResponse",
"$ref-value": {
"type": "object",
"properties": {
"posts": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.PostStats",
"$ref-value": {
"type": "object",
"properties": {
"post_id": {
"type": "string",
"examples": [
"Mn0bVc9xZ8"
],
"title": "post_id"
},
"feed_id": {
"type": "string",
"examples": [
"F4edRI23XL"
],
"title": "feed_id"
},
"content_type": {
"allOf": [
{
"$ref": "#/components/schemas/analyticscommon.v1.MediaType",
"$ref-value": {
"type": "string",
"title": "MediaType",
"enum": [
"MEDIA_TYPE_UNSPECIFIED",
"MEDIA_TYPE_IMAGE",
"MEDIA_TYPE_VIDEO"
]
}
}
],
"title": "content_type"
},
"total_views": {
"type": "string",
"examples": [
"1250"
],
"title": "total_views",
"format": "int64"
},
"unique_viewers": {
"type": "string",
"examples": [
"1250"
],
"title": "unique_viewers",
"format": "int64"
},
"avg_watch_time_ms": {
"type": "number",
"examples": [
"0.85"
],
"title": "avg_watch_time_ms",
"format": "double"
},
"total_watch_time_ms": {
"type": "string",
"examples": [
"1250"
],
"title": "total_watch_time_ms",
"format": "int64"
},
"starts": {
"type": "string",
"examples": [
"1250"
],
"title": "starts",
"format": "int64"
},
"completions": {
"type": "string",
"examples": [
"1250"
],
"title": "completions",
"format": "int64"
},
"completion_rate": {
"type": "number",
"examples": [
"0.85"
],
"title": "completion_rate",
"format": "double"
},
"views_by_page": {
"type": "object",
"title": "views_by_page",
"additionalProperties": {
"type": "string",
"title": "value",
"format": "int64"
}
}
},
"title": "PostStats",
"additionalProperties": false
}
},
"title": "posts"
}
},
"title": "TopPostsResponse",
"additionalProperties": false
}
}